Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.security
Interface AcceptedPatternsChecker

All Known Implementing Classes:
  DefaultAcceptedPatternsChecker

    public interface AcceptedPatternsChecker

Used across different interceptors to check if given string matches one of the excluded patterns.

Nested Class Summary
`static class` | `AcceptedPatternsChecker.IsAccepted`

Method Summary
`Set<Pattern>` | `getAcceptedPatterns()` Allow access list of all defined excluded patterns
`AcceptedPatternsChecker.IsAccepted` | `isAccepted(String value)` Checks if value matches any of patterns on exclude list
`void` | `setAcceptedPatterns(Set<String> patterns)` Sets excluded patterns during runtime
`void` | `setAcceptedPatterns(String commaDelimitedPatterns)` Sets excluded patterns during runtime
`void` | `setAcceptedPatterns(String[] patterns)` Set excluded patterns during runtime

Method Detail

### isAccepted

    AcceptedPatternsChecker.IsAccepted isAccepted(String value)

  Checks if value matches any of patterns on exclude list

  Parameters:
    `value` - to check
  Returns:
    object containing result of matched pattern and pattern itself

### setAcceptedPatterns

    void setAcceptedPatterns(String commaDelimitedPatterns)

  Sets excluded patterns during runtime

  Parameters:
    `commaDelimitedPatterns` - comma delimited string with patterns

### setAcceptedPatterns

    void setAcceptedPatterns(String[] patterns)

  Set excluded patterns during runtime

  Parameters:
    `patterns` - array of additional excluded patterns

### setAcceptedPatterns

    void setAcceptedPatterns(Set<String> patterns)

  Sets excluded patterns during runtime

  Parameters:
    `patterns` - set of additional patterns

### getAcceptedPatterns

    Set<Pattern> getAcceptedPatterns()

  Allow access list of all defined excluded patterns

  Returns:
    set of excluded patterns

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.